Summary:	A user and group account administration library.
Name:		libuser
Group:		System Environment/Base
License:	LGPL
Version:	0.53.8
Release:	1
Source0:	libuser-%{version}.tar.gz
Patch0:		libuser-0.53.8-python-sucks-gd-1.diff
BuildRequires:	pam-devel, popt, glib2-devel, libselinux-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc AUTHORS COPYING NEWS README TODO docs/*.txt

  %attr(0600,root,root)	%config(noreplace) %{_sysconfdir}/libuser.conf

  %attr(0500,root,root)	%{_bindir}/*
  %attr(0500,root,root)	%{_sbindir}/*
  %attr(0555,root,root)	%{_libdir}/*.so.*
  %attr(0555,root,root)	%{_libdir}/libuser/*.so

%package devel
Summary:	Files needed for developing applications which use libuser.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libuser-devel package contains header files, static libraries, and other
files useful for developing applications with libuser.

%files devel
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/*

  %attr(0444,root,root) %{_includedir}/libuser/*
# %attr(0444,root,root) %{_libdir}/*.a
  %attr(0444,root,root) %{_libdir}/*.la
  %attr(0444,root,root) %{_libdir}/%{name}/*.la
  %attr(0555,root,root) %{_libdir}/*.so
  %attr(0444,root,root) %{_libdir}/pkgconfig/*

%prep
%setup -q
%patch0 -p1

%build
  autoconf
  export CFLAGS="$RPM_OPT_FLAGS -fPIC"
  %configure --with-pic --with-selinux
  make %{_smp_mflags} CFLAGS="-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -L/usr/lib -lgobject-2.0 -lglib-2.0 -lgmodule-2.0"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR=$RPM_BUILD_ROOT

  %find_lang %{name}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.53.8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
